Package io.vertx.ext.healthchecks

## Class CheckResult

- java.lang.Object
- - io.vertx.ext.healthchecks.CheckResult

-     public class CheckResult
      extends Object

  Author:
    Clement Escoffier

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CheckResult()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CheckResult` | `from​(String name, Status status)` |
    `static CheckResult` | `from​(String name, Throwable e)` |
    `List<CheckResult>` | `getChecks()` |
    `JsonObject` | `getData()` |
    `Throwable` | `getFailure()` |
    `String` | `getId()` |
    `Status` | `getStatus()` |
    `Boolean` | `getUp()` |
    `static boolean` | `isUp​(Future<CheckResult> json)` |
    `static boolean` | `isUp​(CheckResult json)` |
    `CheckResult` | `setChecks​(List<CheckResult> checks)` |
    `CheckResult` | `setFailure​(Throwable failure)` |
    `CheckResult` | `setId​(String id)` |
    `CheckResult` | `setStatus​(Status status)` |
    `JsonObject` | `toJson()` | Get a JSON version of this result, it computes the overall outcome.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckResult

          public CheckResult()

  - ### Method Detail

    - #### from

          public static CheckResult from​(String name,
                                         Status status)

    - #### from

          public static CheckResult from​(String name,
                                         Throwable e)

    - #### isUp

          public static boolean isUp​(Future<CheckResult> json)

    - #### isUp

          public static boolean isUp​(CheckResult json)

    - #### setId

          public CheckResult setId​(String id)

    - #### getId

          public String getId()

    - #### getStatus

          public Status getStatus()

    - #### setStatus

          public CheckResult setStatus​(Status status)

    - #### getUp

          public Boolean getUp()

    - #### getData

          public JsonObject getData()

    - #### getFailure

          public Throwable getFailure()

    - #### setFailure

          public CheckResult setFailure​(Throwable failure)

    - #### setChecks

          public CheckResult setChecks​(List<CheckResult> checks)

    - #### getChecks

          public List<CheckResult> getChecks()

    - #### toJson

          public JsonObject toJson()

      Get a JSON version of this result, it computes the overall outcome.